SSL Error When installing rubygems, Unable to pull data from ‘https://rubygems.org/

Latest findings…

Most importantly…download https://raw.githubusercontent.com/rubygems/rubygems/master/lib/rubygems/ssl_certs/AddTrustExternalCARoot-2048.pem

Figure out where to stick it

C:\>gem which rubygems
C:/Ruby21/lib/ruby/2.1.0/rubygems.rb
Then just copy the .pem file in ../2.1.0/rubygems/ssl_certs/ and go on about your business.

from: http://stackoverflow.com/questions/19150017/ssl-error-when-installing-rubygems-unable-to-pull-data-from-https-rubygems-o

Advertisements

I really liked python/django. Until now I never got an issue with python in windows as much as I got issues in ruby. Although there are fewer works in python then ruby in odesk or freelancers, I can develop my personal products in python while working on rails and php for living.

Link

pik- manage multiple versions of ruby on Windows

pik- manage multiple versions of ruby on Windows

pik is a tool to manage multiple versions of ruby on Windows. It can be used from the Windows command line (cmd.exe), Windows PowerShell, or Git Bash.